<id>
Last Post Icons On BoardIndex
</id>

<version>
1.2
</version>

<mod info>
This will add an icon linked to the latest post for every board on the BoardIndex. See http://boardmod.xnull.com/yabb/YaBB.pl for an example.

v1.1: now goes to the last reply of the latest post. Also you will be redirected to your message after you've replied to a post, modified a post and you will be redirected after deleting a reply to the last reply before the deleted reply.

Thx to dOCda S! for the additional jump routines.

Compatible with SP 1.3.1 - Jon187
</mod info>

<author>
[CV]XXL
</author>

<homepage>
http://boardmod.yabbforum.com
</homepage>

<edit file>
Sources/Subs.pl
</edit file>

<search for>

1;
</search for>

<add before>
sub gotolastpost {
	my( $postid, $tmpa, $lastposttime, $mreplies, @messages );
	unless( $currentboard ) { &fatal_error("No board specified"); }

	fopen(FILEBTTL, "$boardsdir/$currentboard.txt");
	@messages = <FILEBTTL>;
	fclose(FILEBTTL);

	($postid,$tmpa,$tmpa,$tmpa,$lastposttime,$mreplies) = split(/\|/, $messages[0]);
	if( $postid ) {
		$yySetLocation = qq~$cgi;action=display;num=$postid;start=$mreplies\#$mreplies~;
		&redirectexit;
	}
}
</add before>

<edit file> 
SubList.pl 
</edit file> 

<search for> 
%director=( 
</search for> 

<add after> 
'gotolastpost',"Subs.pl&gotolastpost", 
</add after> 

<edit file>
Sources/BoardIndex.pl
</edit file>

<search for>
        <td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="middle" width="24%"><font size="1">$lastposttime{$curboard}<BR>$txt{'525'} $lastposter</font></td>
</search for>

<replace>
        <td class="windowbg2" bgcolor="$color{'windowbg2'}" valign="middle" width="24%"><font size="1">$lastposttime{$curboard}<BR>$txt{'525'} $lastposter <a href="$scripturl?board=$curboard;action=gotolastpost"><img src="$imagesdir/gotolastpost.gif" border="0"></a></font></td>
</replace>

<edit file>
Sources/Display.pl
</edit file>

<search for>
</table>
<table cellpadding="0" cellspacing="0" border="0" width="100%" bgcolor="$color{'bordercolor'}" class="bordercolor" align="center">
</search for>

<add after>
<a name="$viewnum">
</add after>

<edit file>
Sources/Post.pl
</edit file>

<search for>
	$yySetLocation = qq~$cgi;action=display;num=$thread;start=$start~;
</search for>

<replace>
	$yySetLocation = qq~$cgi;action=display;num=$thread;start=$start;#$mreplies~;
</replace>

<edit file>
Sources/ModifyMessage.pl
</edit file>

<search for>
	fopen(FILE, "$datadir/$threadid.txt") || &fatal_error("$txt{'23'} $threadid.txt");
	@messages = <FILE>;
	fclose(FILE);

	# Make sure the user is allowed to edit this post.
</search for>

<replace>
	fopen(FILE, "$datadir/$threadid.txt") || &fatal_error("$txt{'23'} $threadid.txt");
	@messages = <FILE>;
	$rlast = @messages - 1;
	fclose(FILE);

	# Make sure the user is allowed to edit this post.
</replace>

<search for>
			# Save thread without the deleted post.
			fopen(FILE, ">$datadir/$threadid.txt", 1) || &fatal_error("$txt{'23'} $threadid.txt");
			print FILE @messages;
			fclose(FILE);
</search for>

<add after>
			$rlast = $postid - 1;
</add after>

<search for>
		$yySetLocation = qq~$cgi;action=display;num=$threadid;start=$start~;
</search for>

<replace>
		$yySetLocation = qq~$cgi;action=display;num=$threadid;start=$start;#$rlast~;
</replace>
